include:
  - system.base

{% from "map.jinja" import noveria %}

system_shell_pkgs:
  pkg.installed:
    - pkgs:
      - zsh
      - bash
    - require:
      - system_base_pkgs

system_shell_commonrc:
  file.managed:
    - name: /etc/commonrc
    - source: salt://{{ tpldir }}/files/shell_commonrc.jinja
    - template: jinja
    - context:
        CUSTOM_BIN: {{ noveria.bin_dir }}
        COMMONRC_DIR: {{ noveria.commonrc_dir }}
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - system_shell_pkgs

system_shell_zsh_include_commonrc:
  file.managed:
    - name: /etc/.zshrc
    - source: salt://{{ tpldir }}/files/shell_zshrc.jinja
    - template: jinja
    - context:
        ZSH_DIR: {{ noveria.zsh_dir }}
    - user: root
    - group: root
    - mode: '0644'
    - makedirs: false
    - require:
      - system_shell_commonrc

system_shell_zsh_zshenv:
  file.managed:
    - name: /etc/.zshenv
    - source: salt://{{ tpldir }}/files/shell_zshenv.jinja
    - template: jinja
    - user: root
    - group: root
    - mode: '0644'
    - makedirs: false
    - require:
      - system_shell_commonrc

system_shell_zshd_directory:
  file.directory:
    - name: {{ noveria.zsh_dir }}
    - user: root
    - group: root
    - dir_mode: '0755'
    - file_mode: '0644'
    - makedirs: true
    - require:
      - system_shell_packages

system_shell_zsh_keybinds:
  file.managed:
    - name: {{ noveria.zsh_dir }}/00-keybinds
    - source: salt://{{ tpldir }}/files/shell_keybinds
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - system_shell_zshd_directory